Subject: Re: Git under Windows should warn or fail on entities differning only in case

From: Pete Harlan <[email-masked]>
Date: Fri, 12 Feb 2010 09:31:58 -0800

On 02/12/2010 05:14 AM, Johannes Schindelin wrote:
> Hi,
> 
> Disclaimer: I am not uninterested in the subject you talk about, but my 
> reply could come over as harsh, due to lack of time. If you are likely to 
> be annoyed by direct criticism, delete this mail and do not reply. Thank 
> you very much.
> 
> On Fri, 12 Feb 2010, David Hagood wrote:
> 
>> I would suggest that git should check for this case, and generate a big 
>> warning about it when it happens. (Yes, it sucks burdening Git with 
>> Windows' problems....)
> 
> Git is burdened with Windows' problems already. That does not suck. What 
> sucks is that you only suggest that Git should check the case, in effect 
> asking the few Git for Windows contributors to do it, instead of 
> just going ahead and scratching your own itch.

I didn't read David's patch as anything other than floating an idea.

Posting a wish item to the list without a patch seems useful to me:

1. Someone might be able to explain why the wished-for item is a bad
idea, or why it's unfeasible to implement.

2. Someone might have a flash of insight for how to implement the idea
in a few lines of code and post the patch, improving Git.

3. Someone might say, "Good idea, go ahead and make the change," and the
person with the itch now knows that the idea will be accepted.

It sounds like this is a (3), which is doing pretty well for an idea
about how to change Git :)

--Pete